﻿@model BanViewModel

@{
    ViewData["Title"] = "CreateBan";
}

<h1 id="login">CreateBan</h1>
<h5 id="login" class="text-danger">Are you sure you want to ban this user [@Model.UserName]?</h5>
<hr />
<div id="login" class="row">
    <div class="col-md-4">
        <form asp-action="CreateBan">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Reason" class="control-label"></label>
                <input asp-for="Reason" class="form-control" />
                <span asp-validation-for="Reason" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Days" class="control-label"></label>
                <input asp-for="Days" class="form-control" />
                <span asp-validation-for="Days" class="text-danger"></span>
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-secondary bg-transparent border-0">
                    <img class="d-flex ml-3" src="~/lib/images/CreateBanGreenTrans.png" alt="Edit" width="100">
                </button>

                <a asp-action="Index" asp-controller="Home">
                    <img src="~/lib/images/BackToListRedTrans.png" alt="BackToList" width="100">
                </a>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
